package org.fouram.entity;

import java.io.Serializable;
import java.util.Date;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapUser")
public class SapUser implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String personId;
	private String username;
	private String name;
	private String firstOrg;
	private String secondOrg;
	private String thirdOrg;
	private String fourthOrg;
	private String position;
	private String formatPosition;
	private String mobile;
	private String formatMobile;
	private String businessPhone;
	private String gender;
	private String email;
	private Boolean isPrimary;
	private String result;
	private Boolean delFlag;
	private Date createDate;

	public String toCompareString() {
		StringBuilder sBuilder = new StringBuilder();
		sBuilder.append(userId).append(personId).append(name).append(firstOrg).append(secondOrg).append(thirdOrg)
				.append(fourthOrg).append(position).append(mobile).append(businessPhone).append(gender).append(email)
				.append(isPrimary);
		return sBuilder.toString();
	}
}
