package org.fouram.entity;

import java.io.Serializable;

import org.apache.ibatis.type.Alias;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Alias(value = "SapEmpJob")
public class SapEmpJob implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String businessUnit;// 一级组织
	private String division;// 二级组织
	private String department;// 三级组织
	private String orgunit4;// 四级组织
}
